MS09-003: Vulnerabilities in Microsoft Exchange Could Allow Remote Code Execution (959239)

This script is Copyright (C) 2009-2013 Tenable Network Security, Inc.


Synopsis :

Arbitrary code can be executed on the remote host through the email
server.

Description :

The remote host is running a version of Microsoft Exchange that is
affected by a memory corruption vulnerability that could lead to
remote code execution when processing a specially crafted TNEF message
as well as a denial of service vulnerability when processing a
specially crafted MAPI command that could cause the Microsoft Exchange
System Attendant service and other services that use the EMSMDB32
provider to stop responding.

See also :

http://technet.microsoft.com/en-us/security/bulletin/MS09-003

Solution :

Microsoft has released a set of patches for Exchange 2000, 2003, and
2007.

Risk factor :

Critical / CVSS Base Score : 10.0
(CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 8.3
(CVSS2#E:F/RL:OF/RC:C)
Public Exploit Available : true

Family: Windows : Microsoft Bulletins

Nessus Plugin ID: 35631 ()

Bugtraq ID: 33134
33136

CVE ID: CVE-2009-0098
CVE-2009-0099